#!/bin/sh
#
# Copyright (c) 2005 Tama Communications Corporation
#
# This file is free software; as a special exception the author gives
# unlimited permission to copy and/or distribute it, with or without
# modifications, as long as this notice is preserved.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#
# Copy share.mk and rewrite it.
#
lastdir=`pwd | awk -F/ '{print $NF}'`
sysdir=`bknconfig SYSTEM_DIRECTORY`
MKFILE=${sysdir}/share.mk
if [ ! -f ${MKFILE} ]; then
	echo "${MKFILE} not found."
	exit 1
fi
DEFINE_DIRECTORY='DEFINE_DIRECTORY := '${sysdir}'/'${lastdir}
ACCOUNT_DEFINITION='ACCOUNT_DEFINITION := $(DEFINE_DIRECTORY)/account.def'
sed -e "s!#DEFINE_DIRECTORY.*!$DEFINE_DIRECTORY!" \
    -e "s!#ACCOUNT_DEFINITION.*!$ACCOUNT_DEFINITION!" \
    < ${MKFILE} >share.mk
#
# Copy subdir.mk and execute setup target.
#
MKFILE=${sysdir}/subdir.mk
if [ ! -f ${MKFILE} ]; then
	echo "${MKFILE} not found."
	exit 1
fi
cp ${MKFILE} Makefile && make setup
