dnl @synopsis CHECK_POSIX_SORT()
dnl
dnl Copyright (c) 2005 Tama Communications Corporation
dnl
dnl This file is free software; as a special exception the author gives
dnl unlimited permission to copy and/or distribute it, with or without
dnl modifications, as long as this notice is preserved.
dnl
dnl This program is distributed in the hope that it will be useful, but
dnl WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
dnl implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
dnl
dnl This macro searches for a posix version of sort. If a match is found,
dnl The variable _cv_posix_sort_command is set to the command to
dnl invoke POSIX sort if it exists, the empty string otherwise.
dnl
AC_DEFUN([CHECK_POSIX_SORT],
[AC_CACHE_CHECK([for POSIX sort],
	_cv_posix_sort_command,
	[
	_cv_posix_sort_command=''
dnl Search all the common names for POSIX sort
	if  (sh -c "sort -t ':' -k1,1" < /dev/null > /dev/null 2>&1); then
		_cv_posix_sort_command=sort;
	fi
	])
])
